ISSPACE(3)

NAME
isspace - whitespace character test

SYNOPSIS
#include <ctype.h>
int
isspace(int c);

DESCRIPTION
The isspace() function tests for the standard whitespace characters for which isalnum(3) is false. The standard whitespace characters are the following:

‘ ’ Space character.
\f  Form feed.
\n  New-line.
\r  Carriage return.
\t  Horizontal tab.
\v  And vertical tab.

In the C locale, isspace() returns true only for the standard whitespace characters.

RETURN VALUES
The isspace() macro returns zero if the character tests false or non-zero if the character tests true.

SEE ALSO
isalnum(3), isalpha(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isupper(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The isspace() function conforms to ansiC.

CAVEATS
The argument to isspace() must be EOF or representable as an unsigned char; otherwise, the result is undefined.